### Method

# Shell GLSLEffect set_uniform_float

#### Declaration [src]

    void
    shell_glsl_effect_set_uniform_float (
      ShellGLSLEffect* effect,
      int uniform,
      int n_components,
      int total_count,
      const float* value
    )

#### Description

No description available.

#### Parameters

`uniform`

  Type: `int`

  The uniform location (as returned by shell_glsl_effect_get_uniform_location())

`n_components`

  Type: `int`

  The number of components in the uniform (eg. 3 for a vec3)

`total_count`

  Type: `int`

  The total number of floats in `value`.

`value`

  Type: An array of `float`

  The array of floats to set `uniform`.

  The length of the array is specified in the `total_count` argument.
  The data is owned by the caller of the method.